VocalDocscontracts 1.65.0

Prompt evaluations and experiments

Evaluation suites, their scenarios, runs, labels and calibrations, and experiments on an Agent.

OperationSummaryScopeReleased inPhase 0 host
GET /v1/agents/{agent_id}/experimentsList an Agent's experimentsagents:read1.55.0served
POST /v1/agents/{agent_id}/experimentsCreate an experiment on an Agentagents:write1.55.0served
GET /v1/agents/{agent_id}/experiments/{experiment_id}Read an experimentagents:read1.55.0served
POST /v1/agents/{agent_id}/experiments/{experiment_id}/promotePromote a candidate of an experimentagents:write1.55.0served
GET /v1/agents/{agent_id}/experiments/{experiment_id}/resultsRead an experiment's resultsagents:read1.55.0served
POST /v1/agents/{agent_id}/experiments/{experiment_id}/startStart an experimentagents:write1.55.0served
POST /v1/agents/{agent_id}/experiments/{experiment_id}/stopStop an experimentagents:write1.55.0served
GET /v1/prompt-eval-suitesList evaluation suitesprompts:read1.55.0served
POST /v1/prompt-eval-suitesCreate an evaluation suiteprompts:write1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}Read an evaluation suiteprompts:read1.55.0served
PATCH /v1/prompt-eval-suites/{prompt_eval_suite_id}Update an evaluation suiteprompts:write1.55.0served
DELETE /v1/prompt-eval-suites/{prompt_eval_suite_id}Archive an evaluation suiteprompts:write1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/calibrationsList a suite's calibrationsprompts:read1.63.0served
POST /v1/prompt-eval-suites/{prompt_eval_suite_id}/calibrationsCalibrate a suite's judgeprompts:write1.63.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/calibrations/{calibration_id}Read a calibrationprompts:read1.63.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/labelsList a suite's labelsprompts:read1.63.0served
POST /v1/prompt-eval-suites/{prompt_eval_suite_id}/labelsLabel a sampled verdictprompts:write1.63.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/labels/{label_id}Read a labelprompts:read1.63.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/runsList a suite's runsprompts:read1.56.0served
POST /v1/prompt-eval-suites/{prompt_eval_suite_id}/runsRun an evaluation suiteprompts:write1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/runs/{run_id}Read an evaluation runprompts:read1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/runs/{run_id}/calls/{call_id}Read an evaluation Call of a runprompts:read1.63.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/runs/{run_id}/verdictsList a run's verdictsprompts:read1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/scenariosList a suite's scenariosprompts:read1.55.0served
POST /v1/prompt-eval-suites/{prompt_eval_suite_id}/scenariosAdd a scenario to an evaluation suiteprompts:write1.55.0served
GET /v1/prompt-eval-suites/{prompt_eval_suite_id}/scenarios/{scenario_id}Read a scenarioprompts:read1.55.0served
PATCH /v1/prompt-eval-suites/{prompt_eval_suite_id}/scenarios/{scenario_id}Update a scenarioprompts:write1.55.0served
DELETE /v1/prompt-eval-suites/{prompt_eval_suite_id}/scenarios/{scenario_id}Delete a scenarioprompts:write1.55.0served